# Method: projects.locations.httpRoutes.get

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/get#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/get#try-it)

Gets details of a single HttpRoute.

### HTTP request

`GET https://networkservices.googleapis.com/v1alpha1/{name=projects/*/locations/*/httpRoutes/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. A name of the HttpRoute to get. Must be in the format `projects/*/locations/global/httpRoutes/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networkservices.httpRoutes.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes#HttpRoute`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).